liblockfile-simple-perl_0.208-1_all.deb


Advertisement

Description

liblockfile-simple-perl - Perl module for simple advisory file locking

Distribution: Debian 8 (Jessie)
Repository: Debian Main i386
Package name: liblockfile-simple-perl
Package version: 0.208
Package release: 1
Package architecture: all
Package type: deb
Installed size: 84 B
Download size: 21.58 KB
Official Mirror: ftp.br.debian.org
The LockFile::Simple extension provides simple file locking, of the advisory kind, i.e. it requires cooperation between applications wishing to lock the same files. It is meant to be used in quick-and-dirty scripts or more elaborated programs that want a simple locking scheme, yet with a reasonable level of configuration.

Alternatives

    Download

    Source package: liblockfile-simple-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install liblockfile-simple-perl deb package:
      # sudo apt-get install liblockfile-simple-perl

    Files

    • /usr/share/doc/liblockfile-simple-perl/changelog.Debian.gz
    • /usr/share/doc/liblockfile-simple-perl/changelog.gz
    • /usr/share/doc/liblockfile-simple-perl/copyright
    • /usr/share/man/man3/LockFile::Simple.3pm.gz
    • /usr/share/perl5/LockFile/Lock.pm
    • /usr/share/perl5/LockFile/Manager.pm
    • /usr/share/perl5/LockFile/Simple.pm
    • /usr/share/perl5/LockFile/Lock/Simple.pm

    Changelog

    2012-06-08 - gregor herrmann <gregoa@debian.org> liblockfile-simple-perl (0.208-1) unstable; urgency=low [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ gregor herrmann ] * New upstream release. * debian/copyright: update to Copyright-Format 1.0. * Add /me to Uploaders. * Bump Standards-Version to 3.9.3 (no changes).

    2011-02-23 - Maximilian Gass <mxey@cloudconnected.org> liblockfile-simple-perl (0.207-2) unstable; urgency=low [ gregor herrmann ] * debian/control: Changed: Switched Vcs-Browser field to ViewSVN (source stanza). [ Rene Mayorga ] * debian/control: update my email address. [ Nathan Handler ] * debian/watch: Update to ignore development releases. [ Salvatore Bonaccorso ] * debian/control: Changed: Replace versioned (build-)dependency on perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as permitted by Debian Policy 3.8.3). [ Maximilian Gass ] * Switch to source format 3.0 (quilt) * Add (modified) patch by Baurzhan Ismagulov <ibr@radix50.net> to detect lock file creation errors (closes: #294972) * Update copyright file: add year 2011, update format * Add patch to fix typos in POD * Add myself to Uploaders * Bump Standards-Version to 3.9.1: no changes necessary * Reduce debian/rules to minimum * Change short description to noun phrase * Switch to debhelper compat level 8

    2008-10-10 - Rene Mayorga <rmayorga@debian.org.sv> liblockfile-simple-perl (0.207-1) unstable; urgency=low * New upstream release * debian/copyright - Upstream Added GPL license * debian/control + Set standards-version to 3.8.0 (no changes neede) + debhelper and compat level set to 7 + Add ${misc:Depends} to Depends field + add /myself to uploaders * debian/rules - use dh7 template from dh-make-perl

    2008-02-25 - Damyan Ivanov <dmn@debian.org> liblockfile-simple-perl (0.206-1) unstable; urgency=low [ gregor gerrmann ] * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser field (source stanza); Homepage field (source stanza). * Set Maintainer to Debian Perl Group. * Use dist-based URL in debian/watch. * debian/rules: delete /usr/lib/perl5 only if it exists. [ Damyan Ivanov ] * New upstream release * debian/copyright: convert to machine-readable format + upstream license is Artistic-only + update years of copyright * debian/rules: replaced with (adapted) rules.MakeMaker.noxs from dh-make-perl * bump debhelper compatibility level to 5 * Standards-Version: 3.7.3 (no changes) * Move debhelper from B-D-I to B-D * Add myself to Uploaders * debian/watch: improved version matching pattern * Revert the patch to Simple.pm applied to fix #136233 -- warning when not using nfs. The new upstream release now takes care to initialize $hostname for non-nfs usage too.

    2005-02-16 - Jay Bonci <jaybonci@debian.org> liblockfile-simple-perl (0.2.5-7) unstable; urgency=low * Changed priority to optional (from extra) - Now corresponds to override file

    2005-02-16 - Jay Bonci <jaybonci@debian.org> liblockfile-simple-perl (0.2.5-6) unstable; urgency=low * New maintainer (Closes: #293327) * Changed section from libs to perl * Removed debhelper example files (debian/*.ex, debian/ex.*) * Removed README.Debian file as it was blank * Changed Build-Depends to Build-Depends-Indep * Removed the docs file, as it's only installing the README * Removed README from the package as it is just textified POD * Changed shlibs:depends to perl:depends (now correct) * Bumped debhelper dependancy to 4.1 * Adds debian/compat file per debhelper best practices * Adds Build-Dependancy on perl 5.6.1-16 and liblog-agent-perl * Adds regular dependancy on liblog-agent-perl * Merged to my standard rules template * Cleaned build cruft out of diff

    Advertisement
    Advertisement